/**
 * Main Styles
 */

body {
  color: #272727;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif;
  margin: 1em auto;
  max-width: 44em;
  width: 88%;
}

p {
  margin: 0 0 1.5em;
}

img {
  height: auto;
  max-width: 100%;
}

a {
  color: #0088cc;
}

a:active,
a:hover {
  color: #272727;
}


/**
 * Homepage Layout
 */

@media (min-width: 24em) {
  .places {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1em;
  }
}

@media (min-width: 44em) {
  .places {
    grid-template-columns: repeat(3, 1fr);
  }
}


/**
 * Nav Menu
 */

nav a {
  color: #272727;
  font-weight: bold;
  text-decoration: none;
}

nav a:active,
nav a:hover {
  color: #0088cc;
}


/**
 * Buttons
 */

button {
  background-color: #f7f7f7;
  border: 1px solid #e5e5e5;
  font-family: inherit;
  color: #272727;
  font-size: 1em;
  padding: 0.5em 1em;
}

button:hover {
  background-color: #e5e5e5;
}

[data-fave][aria-pressed="true"] {
  background-color: #de391f;
  border-color: #de391f;
  color: #ffffff;
}